
Core - Feature # 11029

Status: Resolved Priority: Must have
Author: Steffen Gebert Category: Workspaces
Created: 2010-11-23 Assigned To:
Updated: 2013-12-10 Due date: 2010-11-30
PHP Version:
Complexity:
Sprint Focus:
Subject: Workspaces module: Row detail view
Description

The workspaces module needs styling for the ExtJS grid's detail view (when you expand an entry).

http://st-g.de/fileadmin/apps/phpthumb/phpThumb.php?src=http%3A%2F%2Fforge.typo3.org%2Fattachments%2Fdownload%2F442
&#38;w=600

The PNG file gives you some hints and lists the mistakes in the PSD (the live version has no comments and comments have no title).

Shared installation #1 is reserved for you.

Please make your changes in typo3/sysext/workspaces/Resources/Public/StyleSheet/module.css

You get this view by opening the "Workspaces" module.

Related issues:
related to TYPO3 CMS Usability Team - Suggestion # 9472: Workspace module red... Resolved 2010-08-26

Associated revisions
Revision bb7e2fa5 - 2011-01-06 16:48 - Tolleiv Nietsch

Fixed bug #11029: Workspaces module: Row detail view (Thanks to Lars Zimmermann and Berit Jensen)

git-svn-id: https://svn.typo3.org/TYPO3v4/CoreProjects/workspaces/workspaces/trunk@3664 743128fe-103e-dd11-99c4-001b210b3e58

History
#1 - 2010-11-23 20:51 - Steffen Gebert
- Subject changed from Workspace module: Row detail view to Workspaces module: Row detail view

#2 - 2010-11-26 17:09 - Berit Hlubek
- Assigned To set to Berit Hlubek

#3 - 2010-11-26 17:26 - Berit Hlubek
- Status changed from New to Accepted

#4 - 2010-11-30 16:26 - Berit Hlubek
- Status changed from Accepted to Needs Feedback
- % Done changed from 0 to 70

Kind of ready in Firefox and Safari.
http://web1.playground.typo3-anbieter.de/typo3/
https://svn.typo3.org/TYPO3v4/CoreProjects/workspaces/workspaces/trunk@3664


Was not able to test it in IEx due to javascript errors with mordernizr looked as if no workspaces-css-files are loaded at all.
Regarding the change comments the last comment has no margin via the pseudo-class last-child would be good to add some javascript functionality
for the browsers which don't support pseudoclasses.

#5 - 2010-12-01 01:14 - Steffen Gebert
- File f11029.diff added
- File workspaces-comments-arrow.gif added

Attached patch is the result of Berit's work.

Please test together with the pending Core RFC #16626

Place the image in Resources/Public/Images/

#6 - 2010-12-01 01:15 - Steffen Gebert
- Tracker changed from Task to Feature
- Project changed from 1522 to Workspaces & Versioning
- Category deleted (879)

#7 - 2010-12-16 10:16 - Steffen Gebert
- Assigned To deleted (Berit Hlubek)

Could you please review and commit this ASAP? We'd like to make the last adjustments within the next days.

Thanks
Steffen

#8 - 2010-12-20 19:42 - Sonja Schubert
- Status changed from Needs Feedback to Under Review
- Target version set to 4.5 Beta 3

#9 - 2010-12-20 21:23 - Tolleiv Nietsch
- File comment.PNG added

looks good for me - I would definitely use this for beta3. Smaller improvements can follow later.

One thing I found: if the username is too long it's hidden behind the balloon (see screen)

#10 - 2011-01-03 14:52 - Steffen Gebert

Would be nice, if you could commit this (Credits to Lars Zimmermann and Berit Jensen).

Thanks!

#11 - 2011-01-06 16:53 - Tolleiv Nietsch

2015-08-04 2/3

http://bugs.typo3.org/view.php?id=16626


- Status changed from Under Review to Resolved

Committed to trunk r3664 - Thanks to the entire Skin team :)

#12 - 2013-12-10 01:07 - Michael Stucki
- Category set to Workspaces

#13 - 2013-12-10 01:09 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
- Target version deleted (4.5 Beta 3)

Files
entwurf_4.5-workspaces_03-detail.psd 5.8 MB 2010-11-23 Steffen Gebert
workspaces-detail.png 323.3 kB 2010-11-23 Steffen Gebert
f11029.diff 6.5 kB 2010-12-01 Steffen Gebert
workspaces-comments-arrow.gif 1.1 kB 2010-12-01 Steffen Gebert
comment.PNG 2.7 kB 2010-12-20 Tolleiv Nietsch
